Subject: Re: bug#68246: 30.0.50; Add non-TS mode as extra parent of TS modes

From: Stefan Kangas <[email-masked]>
Date: Mon, 8 Jan 2024 20:49:57 -0800

João Távora <[email-masked]> writes:

>> Not sure how making it a separate commit will help.
>
> It will say "Stefan Monnier: reformat things", and i will trust that
> commit changes nothing functionally. Also,  git log -L is pretty smart.

Making cleanup type changes is useful for git spelunking, but more
importantly it simplifies reviewing.  You do not have to manually
separate the functional changes from the non-functional ones every time
you look at some commit in the future.

I'd certainly encourage that practice.  Git commits are cheap.